package com.emr.dao;

import com.emr.dto.ThreeDaysFileDto;
import com.emr.vo.ThreeDaysFileVo;

import java.util.List;

/**
 * @InterfaceName StatementMapper
 * @Description 报表mapper
 * @Author linjj
 * @Date 2024/1/11 14:30
 * @Version 1.0
 */
public interface StatementMapper {
    //归档数量
    List<ThreeDaysFileVo> getThreeDaysFileList(ThreeDaysFileDto dto);
    //及时归档
    List<ThreeDaysFileVo> getDay3Rate(ThreeDaysFileDto dto);
    //二日及时归档
    List<ThreeDaysFileVo> getDay2Rate(ThreeDaysFileDto dto);
    //每本每份超期天数
    List<ThreeDaysFileVo> getLateNum(ThreeDaysFileDto dto);
    //反馈数量
    List<ThreeDaysFileVo> getReturnNum(ThreeDaysFileDto dto);
    //反馈超期总数量
    List<ThreeDaysFileVo> returnTimelyNum(ThreeDaysFileDto dto);
    //反馈病历数量
    List<ThreeDaysFileVo> feedBackRecord(ThreeDaysFileDto dto);
    //3天归档奖励本数
    List<ThreeDaysFileVo> day3RewardNum(ThreeDaysFileDto dto);
    //返修超期数量
    List<ThreeDaysFileVo>returnOverdueNum(ThreeDaysFileDto dto);
    //2天内归档有反馈数（本）
    List<ThreeDaysFileVo>returnOverdue2Day(ThreeDaysFileDto dto);

}
